[arch-commits] Commit in poppler/trunk (PKGBUILD bug16579.patch)

Jan de Groot jgc at archlinux.org
Mon Jul 7 13:19:16 EDT 2008


    Date: Monday, July 7, 2008 @ 13:19:16
  Author: jgc
Revision: 4472

upgpkg: poppler 0.8.4-1

Added:
  poppler/trunk/bug16579.patch
Modified:
  poppler/trunk/PKGBUILD

----------------+
 PKGBUILD       |   15 +++++++++------
 bug16579.patch |   22 ++++++++++++++++++++++
 2 files changed, 31 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-07 17:16:45 UTC (rev 4471)
+++ PKGBUILD	2008-07-07 17:19:16 UTC (rev 4472)
@@ -2,26 +2,29 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=poppler
-pkgver=0.8.3
+pkgver=0.8.4
 _dataver=0.2.0
 pkgrel=1
 pkgdesc="PDF rendering library based on xpdf 3.0"
 arch=(i686 x86_64)
 license=('GPL' 'custom')
-depends=('libjpeg' 'gcc-libs>=4.3.0' 'cairo>=1.6.4' 'libxml2>=2.6.32' 'fontconfig>=2.5.0')
+depends=('libjpeg' 'gcc-libs>=4.3.1' 'cairo>=1.6.4' 'libxml2>=2.6.32' 'fontconfig>=2.6.0')
 makedepends=('pkgconfig')
 options=('!libtool')
 url="http://poppler.freedesktop.org/"
 source=(http://poppler.freedesktop.org/${pkgname}-${pkgver}.tar.gz
 	http://poppler.freedesktop.org/poppler-data-${_dataver}.tar.gz
-	poppler-0.6.1-cairoheaders.patch)
-md5sums=('d5631bdbde9dda89ff20796005ece4d4'
+	poppler-0.6.1-cairoheaders.patch
+	bug16579.patch)
+md5sums=('29d341f295d01bff64c63a29a6abb274'
          'b7f98e84a4d2a2c794271d746ec7ee0b'
-         'ce8f07aaca7abfafdca604582a9f8398')
+         'ce8f07aaca7abfafdca604582a9f8398'
+	 '3d8f2457a2c70bcc81809541481d67f7')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/poppler-0.6.1-cairoheaders.patch || return 1  
+  patch -Np1 -i ${startdir}/src/poppler-0.6.1-cairoheaders.patch || return 1
+  patch -Np1 -i ${startdir}/src/bug16579.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --enable-cairo-output \

Added: bug16579.patch
===================================================================
--- bug16579.patch	                        (rev 0)
+++ bug16579.patch	2008-07-07 17:19:16 UTC (rev 4472)
@@ -0,0 +1,22 @@
+From 1f266d2e8183c703be391ee8393c56a3e5654b27 Mon Sep 17 00:00:00 2001
+From: Albert Astals Cid <aacid at kde.org>
+Date: Tue, 01  Jul  2008  18:16:50  +0000
+Subject: Fix condition, we want fetched_thumb to be a Stream, not to be non null
+
+Fixes bug 16579
+---
+diff --git a/poppler/Page.cc b/poppler/Page.cc
+index 3da5976..fa2d86d 100644
+--- a/poppler/Page.cc
++++ b/poppler/Page.cc
+@@ -466,7 +466,7 @@ GBool Page::loadThumb(unsigned char **data_out,
+ 
+   /* Get stream dict */
+   thumb.fetch(xref, &fetched_thumb);
+-  if (fetched_thumb.isNull()) {
++  if (!fetched_thumb.isStream()) {
+     fetched_thumb.free();
+     return gFalse;
+   }
+--
+cgit v0.7.2-37-g538c





More information about the arch-commits mailing list